import 'package:flutter/material.dart';

class Palette {
  static const Color lightBlue = Color.fromRGBO(126, 147, 177, 1.0);
  static const Color lightBlueWithOpacity = Color.fromRGBO(126, 147, 177, 0.4);
  static const Color lightGrey = Color.fromRGBO(224, 233, 246, 1.0);
  static const Color purple = Color.fromRGBO(243, 229, 245, 1.0);
  static const Color deepPink = Color.fromRGBO(225, 190, 231, 1.0);
  static const Color indigo = Color.fromRGBO(232, 234, 246, 1.0);
  static const Color deepIndigo = Color.fromRGBO(197, 202, 233, 1.0);
  static const Color creamyGrey = Color.fromRGBO(245, 246, 249, 1.0);
  static const Color deepPurple = Color.fromRGBO(124, 83, 240, 1.0);
  static const Color wildDarkBlue = Color.fromRGBO(155, 172, 197, 1.0);
  static const Color wildDarkBlueWithOpacity =
      Color.fromRGBO(155, 172, 197, 0.1);
  static const Color brightBlue = Color.fromRGBO(151, 226, 255, 0.6);
  static const Color cloudySky = Color.fromRGBO(121, 201, 233, 0.8);
  static const Color darkGrey = Color.fromRGBO(136, 155, 183, 0.21);
  static const Color shadowGrey = Color.fromRGBO(132, 141, 198, 0.14);
  static const Color shadowGreyWithOpacity =
      Color.fromRGBO(132, 141, 198, 0.05);
  static const Color blueGrey = Color.fromRGBO(103, 107, 141, 1.0);
  static const Color lightGrey2 = Color.fromRGBO(249, 249, 249, 1.0);
  static const Color lightViolet = Color.fromRGBO(131, 87, 255, 1);
  static const Color switchBackground = Color.fromRGBO(228, 231, 240, 1.0);
  static const Color switchBorder = Color.fromRGBO(211, 222, 238, 1.0);
  static const Color nightBlue = Color.fromRGBO(34, 40, 75, 1.0);
  static const Color lavender = Color.fromRGBO(249, 250, 253, 1);
  static const Color lightLavender = Color.fromRGBO(242, 244, 247, 1);
  static const Color cadetBlue = Color.fromRGBO(191, 201, 215, 1);
  static const Color manatee = Color.fromRGBO(138, 153, 175, 1);
  static const Color separator = Color.fromRGBO(240, 241, 244, 1);
  static const Color containerLavender = Color.fromRGBO(226, 235, 238, 0.4);
  static const Color purpleBlue = Color.fromRGBO(84, 92, 139, 1);
  static const Color floatingActionButton = Color.fromRGBO(213, 56, 99, 1);
  static const Color powered = Color.fromRGBO(191, 201, 215, 1);
  static const Color buttonShadow = Color.fromRGBO(23, 46, 77, 0.129207);
}

class PaletteDark {
  static const Color darkThemeTitle = Color.fromRGBO(132, 154, 186, 1.0);
  static const Color darkThemeTitleViolet = Color.fromRGBO(121, 92, 190, 1.0);
  static const Color darkThemeGrey = Color.fromRGBO(100, 115, 137, 1.0);
  static const Color darkThemeGreyWithOpacity =
      Color.fromRGBO(100, 115, 137, 0.5);
  static const Color darkThemeMidGrey = Color.fromRGBO(20, 26, 38, 1.0);
  static const Color darkThemePurpleButton = Color.fromRGBO(182, 143, 255, 0.1);
  static const Color darkThemeBackground = Color.fromRGBO(39, 41, 50, 1.0);
  static const Color darkThemeBackgroundDark = Color.fromRGBO(9, 12, 18, 1.0);
  static const Color darkThemeDarkGrey = Color.fromRGBO(218, 228, 243, 0.06);
  static const Color darkGrey = Color.fromRGBO(218, 228, 243, 0.4);
  static const Color darkThemeBlackWithOpacity = Color.fromRGBO(0, 0, 0, 0.2);
  static const Color darkThemeBlack = Color.fromRGBO(7, 10, 14, 1.0);
  static const Color darkThemeAppBarBlack = Color.fromRGBO(4, 5, 7, 1.0);
  static const Color darkThemeViolet = Color.fromRGBO(131, 87, 255, 0.2);
  static const Color darkThemeIndigoButton = Color.fromRGBO(216, 223, 246, 0.1);
  static const Color darkThemeIndigoButtonBorder =
      Color.fromRGBO(196, 206, 237, 0.4);
  static const Color darkThemeBlueButton = Color.fromRGBO(151, 226, 255, 0.1);
  static const Color darkThemeBlueButtonBorder =
      Color.fromRGBO(62, 190, 240, 0.6);
  static const Color darkThemeCloseButton = Color.fromRGBO(34, 40, 74, 1.0);
  static const Color darkThemePinButton = Color.fromRGBO(136, 155, 183, 0.1);
  static const Color darkThemePinDigitButton =
      Color.fromRGBO(100, 115, 137, 0.34);
  static const Color switchBackground = Color.fromRGBO(100, 115, 137, 0.4);
  static const Color wildDarkBlueWithOpacity =
      Color.fromRGBO(155, 172, 197, 0.4);
  static const Color wildDarkBlue = Color.fromRGBO(155, 172, 197, 0.8);
}

class OxenPalette {
  // Primary
  static const Color navy = Color.fromRGBO(31, 28, 71, 1.0); // #1F1C47
  static const Color teal = Color.fromRGBO(18, 199, 186, 1.0); // #12C7BA

  // Secondary
  static const Color whiteBlue = Color.fromRGBO(219, 247, 245, 1.0); // #DBF7F5
  static const Color lime = Color.fromRGBO(195, 245, 58, 1.0); // #C3F53A
  static const Color lightRed = Color.fromRGBO(255, 122, 135, 1.0); // #FF7A87
  static const Color purple = Color.fromRGBO(101, 65, 146, 1.0); // #654192
  static const Color blue = Color.fromRGBO(63, 75, 245, 1.0); // #3F4BF5
  static const Color black = Color.fromRGBO(0, 0, 0, 1.0); // #000000

  // Opacity
  static const Color tealWithOpacity = Color.fromRGBO(18, 199, 186, 0.2);
  static const Color lightRedWithOpacity = Color.fromRGBO(255, 122, 135, 0.5);
  static const Color limeWithOpacity = Color.fromRGBO(195, 245, 58, 0.5);

  // Default
  static const Color red = Color.fromRGBO(255, 51, 51, 1.0);
  static const Color green = Color.fromRGBO(39, 206, 80, 1.0);
}
